package ru.kirillius.pf.sdn.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import ru.kirillius.pf.sdn.entity.DomainCacheEntry;

import java.util.List;

public interface DomainCacheRepository extends JpaRepository<DomainCacheEntry, Long> {
    boolean existsByDomain(String domain);

    List<DomainCacheEntry> findAllByDomain(String domain);

    List<DomainCacheEntry> getAllByDomain(String domain);
}
